
Calculate Linux - Bug # 103: ebuild calculate-sources hung after complete genkernel

Status: Closed Priority: Urgent

Author: Mikhail Hiretsky Category:

Created: 01/29/2010 Assignee: Mikhail Hiretsky

Updated: 02/01/2010 Due date:

Subject: ebuild calculate-sources hung after complete genkernel

Description: Merging of calculate-sources-2.6.32.6 with USE="vmlinuz" hungs after string

<pre>Make sure you have the latest genkernel before reporting bugs.</pre>

History

01/29/2010 02:28 pm - Mikhail Hiretsky

- File genkernel-1.patch added

This patch disable clean procedure after build of kernel. For using this, try:

<pre>

cd /usr/bin

patch -p1 <Ð¸Ð¼Ñ•_Ð¿Ð°Ñ‚Ñ‡Ð°

emerge calculate-sources

</pre>



Perform for disable patch:

<pre>

cd /usr/bin

patch -R -p1 <Ð¸Ð¼Ñ•_Ð¿Ð°Ñ‚Ñ‡Ð°

</pre>



I am waiting for result.

01/29/2010 03:23 pm - Dmitry Osintsev

Mike Hiretsky wrote:

> This patch disable clean procedure after build of kernel. For using this, try:

> [...]

> 

> Perform for disable patch:

> [...]

> 

> I am waiting for result.



Or you should kill this process:

<pre>

12900 root      39  19 17488   952   776 R 100.  0.1  4:59.99 rm -rf 

/var/calculate/tmp/portage/sys-kernel/calculate-sources-2.6.32.6/work/linux-2.6.32.6-calculate/temp/28679.5557.13226.10655

</pre>

It looks silly, but the directory exists. 8-O

01/29/2010 03:37 pm - Mikhail Hiretsky

No necessity to delete this directory, because after merging it will be removed. Result of patch work show: problem in it or not. I don't know why 'rm' 

could not finish process of removing temporary directory. I tested this ebuild on about ten computers and "rm" didn't hang emerge process.

01/29/2010 04:40 pm - Mikhail Hiretsky

Necessity changes add to calckernel-3.4.10.903-r20, before installing calculate-sources, please update calculate overlay and install last calckernel.
<pre>

layman -s calculate

emerge calckernel

emerge calculate-sources

</pre>

02/01/2010 04:09 pm - Mikhail Hiretsky

- Status changed from New to Closed

- % Done changed from 0 to 100

Files

genkernel-1.patch 249 Bytes 01/29/2010 Mikhail Hiretsky
